data-default-instances-base-0.0.1: Default instances for types in base

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Default.Instances.Base

Synopsis

# Documentation

This module defines `Default` instances for the types `Int`, `Int8`, `Int16`, `Int32`, `Int64`, `Word`, `Word8`, `Word16`, `Word32`, `Word64`, `Integer`, `Float`, `Double`, `Ratio`, `Complex`, '(->)', `IO`, `Maybe`, '()', '[]', `Ordering`, `Any`, `All`, `Last`, `First`, `Sum`, `Product`, `Endo`, `Dual`, and tuples.